skills
Scout API 1.0.0 — see schemas for shared types.
avatar
GET /api/skills/avatar/upload/content-types
get_allowed_skill_avatar_content_types
Responses
- 200 — OK
application/json→ AllowedAvatarContentTypesResponse- 422 — Unprocessable Content
application/json→ ValidationError
GET /api/skills/avatar/upload/content-types/
get_allowed_skill_avatar_content_types
Responses
- 200 — OK
application/json→ AllowedAvatarContentTypesResponse- 422 — Unprocessable Content
application/json→ ValidationError
POST /api/skills/global/{skill_id}/avatar/upload
upload_skill_avatar
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
skill_id |
path | string (uuid) | yes |
Request body
Content-Type: multipart/form-data
Schema: UploadSkillAvatarForm
Responses
- 200 — OK
application/json→ SkillUploadAvatarResponse- 422 — Unprocessable Content
application/json→ ValidationError
global_skills
GET /api/skills/global
list_global_skills
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
search |
query | string | null | no | |
order_by |
query | string | no | |
usable_in |
query | SkillUsableIn | null | no |
Responses
- 200 — OK
application/json→ SkillSummaryResponseList- 422 — Unprocessable Content
application/json→ ValidationError
POST /api/skills/global
upload_global_skill
Request body
Content-Type: multipart/form-data
Schema: UploadGlobalSkillForm
Responses
- 201 — Created
application/json→ SkillUploadResponse- 422 — Unprocessable Content
application/json→ ValidationError
DELETE /api/skills/global/{skill_id}
delete_global_skill
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
skill_id |
path | string (uuid) | yes |
Responses
- 200 — OK
application/json→ SkillDeletionResponse- 422 — Unprocessable Content
application/json→ ValidationError
GET /api/skills/global/{skill_id}
get_global_skill
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
skill_id |
path | string (uuid) | yes |
Responses
- 200 — OK
application/json→ SkillDetailResponse- 422 — Unprocessable Content
application/json→ ValidationError
PUT /api/skills/global/{skill_id}
update_global_skill
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
skill_id |
path | string (uuid) | yes |
Request body
Content-Type: multipart/form-data
Schema: UpdateGlobalSkillForm
Responses
- 200 — OK
application/json→ SkillDetailResponse- 422 — Unprocessable Content
application/json→ ValidationError
GET /api/skills/global/{skill_id}/assistants
get_assistants_using_skill
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
skill_id |
path | string (uuid) | yes |
Responses
- 200 — OK
application/json→ AssistantUsingSkillResponseList- 422 — Unprocessable Content
application/json→ ValidationError
PUT /api/skills/global/{skill_id}/catalog-metadata
set_global_skill_catalog_metadata
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
skill_id |
path | string (uuid) | yes |
Request body
Content-Type: application/json
Schema: SetCatalogMetadataRequest
Responses
- 200 — OK
application/json→ SkillDetailResponse- 422 — Unprocessable Content
application/json→ ValidationError
skill_builder
GET /api/skills/assistant/{assistant_id}/build/history
get_skills_builder_history
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
assistant_id |
path | string (uuid) | yes | |
skill_filename |
query | string | null | no | |
is_completed |
query | boolean | null | no |
Responses
- 200 — OK
application/json→ SkillBuilderJobDataList- 422 — Unprocessable Content
application/json→ ValidationError
DELETE /api/skills/assistant/{assistant_id}/build/history/{job_id}
delete_draft_skill
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
assistant_id |
path | string (uuid) | yes | |
job_id |
path | string (path) | yes |
Responses
- 200 — OK
application/json→ SkillDeletionResponse- 422 — Unprocessable Content
application/json→ ValidationError
POST /api/skills/assistants/{assistant_id}/build
build_skill_async
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
assistant_id |
path | string (uuid) | yes |
Request body
Content-Type: application/json
Schema: BuildSkillRequest
Responses
- 202 — Accepted
application/json→ BuildSkillAsyncResponse- 422 — Unprocessable Content
application/json→ ValidationError